import javax.naming.*;
import java.util.Properties;
import java.util.Enumeration;
import java.util.Hashtable;
import java.io.*;
import org.exolab.castor.xml.MarshalException;
import org.exolab.castor.xml.ValidationException;

import org.gxos.*;
import org.gxos.config.GXOSConfiguration;
import org.gxos.schema.*;
import org.gxos.schema.types.*;
import org.gxos.debug.Log;
import org.gxos.gndi.context.*;
import org.gxos.xml.*;
import org.gxos.util.*;

import garnet.gateway.schema.*;

public class TestGX4 {

  public static void main(String[] args) {
 
    try {

        String configFile = "/a/birch.csit.fsu.edu/shared/home/cyoun/GXOS/gxoslibs/gxos.conf";
        Properties env = Defaults.getConfiguration(configFile);

        ContextManager.initialize(env);
        XMLObject gateway = ContextManager.getDatabase("Gateway");
        
        XMLObject desc = gateway.getChild("ApplicationDescriptor");
        XMLObject younapp = desc.getChild("Ising_demo");
        Application youn_app = (Application)desc.getTreeObject("Ising_demo");

	Application a = null;
	XMLObject xo = null;
        String[] applications = desc.getChildren();
	if(applications != null)
        for(int i=0; i<applications.length; i++) {
	  System.out.println("A = "+applications[i]);
	  xo = desc.getChild(applications[i]);
	  a = (Application)xo.getTreeObject();
          //a = (Application)desc.getTreeObject(applications[i]);
	  System.out.println("A = "+a.getName());
	}

        System.out.println("mach#: "+youn_app.getMachineCount());
        System.out.println("vis name:"+ youn_app.getVisualizationToolkit(0).getName());
        System.out.println(younapp.getXML());

        
    } catch(Exception e) {
      e.printStackTrace();
    }
  }
}












